> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/get-all-teammates.md).

# Get All Teammates

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
GET /Teammates
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>group</td><td>integer</td><td>no</td><td>Users group id you want to retrieve. If not specified, all users within the community will be returned</td></tr></tbody></table>

#### Response

```json
{
    "data": [
        {
            "name": "Robert Baker",
            "email": "RobertBaker@gmail.com",
            "role": "admin"
        },
        {
            "name": "William Shakespeare",
            "email": "williamshakespeare@domain.com",
            "role": "read_only_user"
        }
    ],
    "errorCode": -1,
    "errorText": null
}
```

`Data` field will contain an array of [Teammate](/docs/apis/tickets/reference/objects/teammate.md) objects.
